https://dagster.io/ logo
#ask-community
Title
# ask-community
t

Tyrone Wong

07/12/2023, 8:19 PM
Hello, I'm running into some weird graphql errors when I try to load any schedules in dagit. Has anyone seen this?
Copy code
Operation name: SingleScheduleQuery

Message: (psycopg2.errors.QueryCanceled) canceling statement due to statement timeout

[SQL: SELECT runs.id, runs.run_body, runs.status, runs.create_timestamp, runs.update_timestamp, runs.start_time, runs.end_time 
FROM runs 
WHERE runs.run_id IN (SELECT run_tags.run_id 
FROM run_tags 
WHERE run_tags.key = %(key_1)s AND run_tags.value = %(value_1)s INTERSECT SELECT run_tags.run_id 
FROM run_tags 
WHERE run_tags.key = %(key_2)s AND run_tags.value = %(value_2)s) ORDER BY runs.id DESC 
 LIMIT %(param_1)s]
[parameters: {'key_1': 'dagster/schedule_name', 'value_1': 'prod_sdk_key_propogation_test', 'key_2': '.dagster/repository', 'value_2': 'statscript@statscript', 'param_1': 1}]
(Background on this error at: <https://sqlalche.me/e/20/e3q8>)

Path: ["scheduleOrError","scheduleState","runs"]

Locations: [{"line":16,"column":9}]

Stack Trace:
  File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 521, in execute_field
    result = resolve_fn(source, info, **args)
  File "/usr/local/lib/python3.7/site-packages/dagster_graphql/schema/instigation.py", line 619, in resolve_runs
    limit=limit,
  File "/usr/local/lib/python3.7/site-packages/dagster/_utils/__init__.py", line 649, in inner
    return func(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/dagster/_core/instance/__init__.py", line 1648, in get_run_records
    filters, limit, order_by, ascending, cursor, bucket_by
  File "/usr/local/lib/python3.7/site-packages/dagster/_core/storage/runs/sql_run_storage.py", line 511, in get_run_records
    rows = self.fetchall(query)
  File "/usr/local/lib/python3.7/site-packages/dagster/_core/storage/runs/sql_run_storage.py", line 116, in fetchall
    return db_fetch_mappings(conn, query)
  File "/usr/local/lib/python3.7/site-packages/dagster/_core/storage/sqlalchemy_compat.py", line 35, in db_fetch_mappings
    return conn.execute(query).mappings().all()
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1415, in execute
    execution_options or NO_OPTIONS,
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 484, in _execute_on_connection
    self, distilled_params, execution_options
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1645, in _execute_clauseelement
    cache_hit=cache_hit,
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1845, in _execute_context
    dialect, context, statement, parameters
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1985, in _exec_single_context
    e, str_statement, effective_parameters, cursor, context
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 2339, in _handle_dbapi_exception
    raise sqlalchemy_exception.with_traceback(exc_info[2]) from e
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1966, in _exec_single_context
    cursor, str_statement, effective_parameters, context
  File "/usr/local/lib/python3.7/site-packages/sqlalchemy/engine/default.py", line 921, in do_execute
    cursor.execute(statement, parameters)

The above exception was the direct cause of the following exception:

Message: psycopg2.errors.QueryCanceled: canceling statement due to statement timeout